<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui">

<f:metadata>
    <f:viewParam name="id" value="#{mbArticle.sousCatSelect}"></f:viewParam>
    <f:viewAction action="#{mbArticle.init()}"></f:viewAction>
    <f:event listener="#{mbcommande.init()}" type="preRenderView"/>
    <f:viewAction action="#{mbcommande.init()}"></f:viewAction>
</f:metadata>

<ui:composition template="/arche/arche.xhtml">
    <ui:define name="content">
        <b:jumbotron id="panier-entete">
            <b:container rendered="#{(mbcommande.commandes.size()>0 or mbcommande.prestations.size()>0)?true:false}">
                <b:row>
                    <b:column span="8">
                        <h1>Panier</h1>
                    </b:column>
                    <b:column span="4">
                        <div align="right">
                            <h1>
                                <small><h:outputFormat rendered="#{mbcommande.getQuantiteTotalArticle()>1}"
                                                       value="#{mbcommande.getQuantiteTotalArticle()} articles"/></small>
                                <small><h:outputFormat rendered="#{mbcommande.getQuantiteTotalArticle()==1}"
                                                       value="#{mbcommande.getQuantiteTotalArticle()} article"/></small>
                            </h1>
                        </div>
                    </b:column>
                </b:row>
            </b:container>
            <b:container rendered="#{(mbcommande.commandes.size()>0 or mbcommande.prestations.size()>0)?false:true}">
                <h:outputLabel>
                    <h1>Votre panier est vide :(</h1>
                </h:outputLabel>
            </b:container>
        </b:jumbotron>

        <h:form id="panier-commande">
            <b:row >
                <b:column col-md="8">
                    <b:row rendered="#{mbcommande.commandes.size()>0?true:false}">
                        <b:panel title="Commande" collapsible="false">
                            <b:dataTable value="#{mbcommande.commandes}" var="commande" searching="false"
                                         paginated="false" striped="false">
                                <b:dataTableColumn width="60%" label="Articles">
                                    <b:column col-md="6">
                                        <img src="../img/#{commande.article.nomImage}" alt="photo" height="120px"/>
                                    </b:column>
                                    <b:column col-md="6">
                                        <h4>#{commande.article.nom}</h4>
                                        <p>
                                            <h:outputText value="Quantité : #{commande.quantite}"/>
                                        </p>
                                        <p>
                                            <b:commandButton action="#{mbcommande.deleteCommande(commande)}"
                                                             icon="minus-circle"
                                                             look="danger" size="xs"
                                                             style-class="btn btn-danger"
                                                             onclick="ajax:ajaxBean.onClick()"
                                                             update="panier-commande panier-entete connexionFormMaster">Supprimer</b:commandButton>
                                        </p>
                                    </b:column>
                                </b:dataTableColumn>
                                <b:dataTableColumn label="Prix" width="20%">
                                    <h:outputText value="#{commande.article.prix}" styleClass="prix-total"
                                                  style="text-align: center">
                                        <f:convertNumber currencySymbol="€" type="currency"/>
                                    </h:outputText>
                                </b:dataTableColumn>
                            </b:dataTable>
                        </b:panel>
                    </b:row>
                    <b:row rendered="#{mbcommande.prestations.size()>0?true:false}">
                        <b:panel title="Prestations" collapsible="false">
                            <b:dataTable value="#{mbcommande.prestations}" var="prestation" searching="false"
                                         paginated="false" striped="false">
                                <b:dataTableColumn width="60%" label="Prestations">
                                    <b:column col-md="6">
                                        <img src="http://localhost:9190/WSPrestataires/images/#{prestation.prestataire.photo}" alt="photo" height="120px"/>
                                    </b:column>
                                    <b:column col-md="6">
                                        <h4>#{prestation.prestataire.prenom} #{prestation.prestataire.nom}</h4>
                                        <p>
                                            <h:outputText value="Durée : #{prestation.duree} H"/>
                                        </p>
                                        <p>
                                            <b:commandButton action="#{mbcommande.deletePrestation(prestation)}"
                                                             icon="minus-circle"
                                                             look="danger" size="xs"
                                                             style-class="btn btn-danger"
                                                             onclick="ajax:ajaxBean.onClick()"
                                                             update="panier-commande panier-entete connexionFormMaster">Supprimer</b:commandButton>
                                        </p>
                                    </b:column>
                                </b:dataTableColumn>
                                <b:dataTableColumn label="Prix" width="20%">
                                    <h:outputText value="#{prestation.prixHoraire * prestation.duree}" styleClass="prix-total"
                                                  style="text-align: center">
                                        <f:convertNumber currencySymbol="€" type="currency"/>
                                    </h:outputText>
                                </b:dataTableColumn>
                            </b:dataTable>
                        </b:panel>
                    </b:row>
                </b:column>
                <b:column col-md="4" rendered="#{mbcommande.getPrixTotal()>0}">
                    <b:panel title="Validation" collapsible="false">
                        <h3>Prix total : <h:outputText value="#{mbcommande.getPrixTotal()}"
                                                       styleClass="prix-total"><f:convertNumber currencySymbol="€"
                                                                                                type="currency"/></h:outputText>
                        </h3>
                        <h4>Durée réservation : <h:outputText
                                value="#{mbcommande.getDureeReserv()} jour(s)"></h:outputText></h4>
                        <h4>Nombre d'article(s) : <h:outputText
                                value="#{mbcommande.getQuantiteTotalArticle()}"></h:outputText></h4>
                        <p>
                            <b:commandButton action="#{mbcommande.paiement()}"
                                             icon="check-circle" look="success" size="md"
                                             value="Valider commande"
                                             tabindex="0"
                                             data-toggle="popover" data-trigger="focus"
                                             span="8" offset="2">
                            </b:commandButton>
                        </p>
                    </b:panel>
                </b:column>
            </b:row>
        </h:form>
    </ui:define>
</ui:composition>
</html>